Retrieve OrgUser Groups - m3ter Documentation
Retrieve OrgUser Groups
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/users/{id}/usergroups \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/users/{id}/usergroups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/users/{id}/usergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200: Successful request.
- 4XX: Client error.
- 5XX: Server error.
Response Structure
Successful Response
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Response
{
"message": "<string>"
}
Authorizations
Authorization Type
- string: header required.
- Supports machine to machine authentication using the
clientCredentials OAuth2 flow.
- Uses
authorizationCode flow for human users.
Path Parameters
- orgId: (string) Required. The unique identifier of your Organization.
- id: (string) Required. The unique identifier of the user.
Query Parameters
- inherited: (boolean) Includes inherited Groups.
- TRUE: includes inherited groups.
- FALSE: excludes inherited groups.
- pageSize: (integer) Maximum number of User Groups to retrieve per page. Required range:
1 <= x <= 200.
- nextToken: (string) Token for multi-page retrievals.